public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "David Roman" <davidroman96@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:master commit in: sys-fs/dwarfs-bin/
Date: Thu, 20 Mar 2025 09:22:52 +0000 (UTC)	[thread overview]
Message-ID: <1742304772.cc2671f3a36cf8b9638ac5f3adc7eb1abcdd3a0c.davidroman@gentoo> (raw)

commit:     cc2671f3a36cf8b9638ac5f3adc7eb1abcdd3a0c
Author:     Denis Reva <denis7774 <AT> gmail <DOT> com>
AuthorDate: Tue Mar 18 13:32:40 2025 +0000
Commit:     David Roman <davidroman96 <AT> gmail <DOT> com>
CommitDate: Tue Mar 18 13:32:52 2025 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=cc2671f3

sys-fs/dwarfs-bin: add 0.11.0

Signed-off-by: Denis Reva <denis7774 <AT> gmail.com>

 sys-fs/dwarfs-bin/Manifest                 |  2 +
 sys-fs/dwarfs-bin/dwarfs-bin-0.11.0.ebuild | 67 ++++++++++++++++++++++++++++++
 2 files changed, 69 insertions(+)

diff --git a/sys-fs/dwarfs-bin/Manifest b/sys-fs/dwarfs-bin/Manifest
index 84ca8dc93..02f7ffa5a 100644
--- a/sys-fs/dwarfs-bin/Manifest
+++ b/sys-fs/dwarfs-bin/Manifest
@@ -1,2 +1,4 @@
 DIST dwarfs-bin-0.10.2-amd64.tar.xz 7349260 BLAKE2B 2b00c8d34ca8749b1b33db6ff9fc2c96938c242875df4ac8d9b7ce5a10b17abd299914aed108dd83788d59e95c27084fd91343cffeaa3a808c642a4ef439a127 SHA512 a4bb0d50d5eeb3d826cc72289695ee7b4e76c76f06d85c7b84868c9895c3bfb88f694e6bfc0098b99f8358e47735b3de81572db689fa662de6c11d7d186ffe83
 DIST dwarfs-bin-0.10.2-arm64.tar.gz 6390196 BLAKE2B e25291f9b79c9920e8a8997e2a945652a5d377ede3e780009a4a148bda3d9f661d2dcbc753da3af177c75b5a68bf8c204f60be2fa1a7adcf06a42d30528b23ae SHA512 87ef89581b7038c3f8a99e4a6942eb9f871aa9005ce3d8bfd20d123e69569d000a08a463f817385a3eeef9b1da06b288863465bdfaf9e352761f8f2ea9cbab48
+DIST dwarfs-bin-0.11.0-amd64.tar.xz 7703316 BLAKE2B c114b4a8e535a5f45c0cac2f7e96a84b0e0a20475515561b749683bfb39f227193a18a3e760c4c3d115dd53ca5ad1706080269ce3814a4e04565c643673aed68 SHA512 8bba22527a01ec5fff82846ccd964e7aaaa6d792efbb9b615e076b4249a2345b9ca12b9abd12d1576c8f7ebb1ca25b1d6084eef5f3deefe96da6506c19516061
+DIST dwarfs-bin-0.11.0-arm64.tar.gz 6775816 BLAKE2B 0bf09227d2dddf51996dda1444dc6dbe079751e54aba2936d24a12ec820ee0534903da4c27cc61456dbc99c2e91b300e170e78341f8f7924835389b87c54ebcb SHA512 8d21b18403f3cb8961439f50e073e728c04024a7f988dcb1b84f7d75154d49e0d2a3885927d5cbe1b7ce01ea7a06c231f129f8bc0c076e3c63bc1ad02bd2569c

diff --git a/sys-fs/dwarfs-bin/dwarfs-bin-0.11.0.ebuild b/sys-fs/dwarfs-bin/dwarfs-bin-0.11.0.ebuild
new file mode 100644
index 000000000..8b117c98f
--- /dev/null
+++ b/sys-fs/dwarfs-bin/dwarfs-bin-0.11.0.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Static version of a fast very high compression read-only FUSE file system"
+HOMEPAGE="https://github.com/mhx/dwarfs"
+SRC_URI="
+	amd64? ( https://github.com/mhx/dwarfs/releases/download/v${PV}/dwarfs-${PV}-Linux-x86_64-clang.tar.xz -> ${P}-amd64.tar.xz )
+	arm64? ( https://github.com/mhx/dwarfs/releases/download/v${PV}/dwarfs-${PV}-Linux-aarch64-clang.tar.xz -> ${P}-arm64.tar.gz )
+"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~arm64"
+
+RDEPEND="
+	${PYTHON_DEPS}
+	sys-fs/fuse:3
+"
+DEPEND="
+	${RDEPEND}
+"
+QA_PREBUILT="
+	opt/dwarfs-bin/bin/*
+	opt/dwarfs-bin/sbin/*
+"
+
+src_unpack() {
+	if use amd64; then
+		S="${WORKDIR}/dwarfs-${PV}-Linux-x86_64-clang"
+	elif use arm64; then
+		S="${WORKDIR}/dwarfs-${PV}-Linux-aarch64-clang"
+	fi
+
+	default
+}
+
+src_prepare() {
+	default
+	einfo "Removing legacy fuse2-related stuff..."
+	rm sbin/dwarfs2 sbin/mount.dwarfs2 || die
+	einfo "Done."
+}
+
+src_install(){
+	mkdir -p "${ED}/opt/${PN}" || die
+	mv "${S}"/* "${ED}/opt/${PN}" || die
+
+	for file in "${ED}/opt/${PN}/bin"/*; do
+		dosym "../${PN}/bin/$(basename "${file}")" "/opt/bin/$(basename "${file}")"
+	done
+	for file in "${ED}/opt/${PN}/sbin"/*; do
+		dosym "../${PN}/sbin/$(basename "${file}")" "/opt/bin/$(basename "${file}")"
+	done
+
+	newenvd - "90${P}" <<-_EOF_
+		MANPATH="${EPREFIX}/opt/${PN}/share/man"
+	_EOF_
+}
+
+pkg_postinst(){
+	elog "You may find more information in the"
+	elog "${HOMEPAGE}"
+	elog "About creating: ${HOMEPAGE}/blob/main/doc/mkdwarfs.md"
+	elog "About mounting: ${HOMEPAGE}/blob/main/doc/dwarfs.md"
+}


             reply	other threads:[~2025-03-20  9:22 UTC|newest]

Thread overview: 19+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2025-03-20  9:22 David Roman [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-04-28  5:13 [gentoo-commits] repo/proj/guru:master commit in: sys-fs/dwarfs-bin/ Viorel Munteanu
2025-04-19 15:28 David Roman
2024-12-28 20:08 Florian Schmaus
2024-12-05 12:00 Florian Schmaus
2024-05-16 16:27 Julien Roy
2024-02-24 12:14 Haelwenn Monnier
2024-02-17 10:35 Haelwenn Monnier
2024-02-13 16:32 David Roman
2024-02-09  0:30 David Roman
2024-01-19 10:31 Arthur Zamarin
2024-01-07 23:46 David Roman
2023-08-17  5:15 Viorel Munteanu
2023-07-26  7:43 Viorel Munteanu
2023-05-27 17:22 Viorel Munteanu
2022-06-22 17:39 Andrew Ammerlaan
2022-06-22 17:39 Andrew Ammerlaan
2022-03-25 15:17 Ronny Gutbrod
2022-03-23 16:15 Ronny Gutbrod

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1742304772.cc2671f3a36cf8b9638ac5f3adc7eb1abcdd3a0c.davidroman@gentoo \
    --to=davidroman96@gmail.com \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox